[USRP-users] PyBOMBS install issue

Kyle A Logue kyle.a.logue at aero.org
Tue Mar 29 11:39:48 EDT 2016


I had the same problem on a vanilla Ubuntu 14.04 install with pip:

PyBombs.Packager.pip - ERROR - Command '['pip', 'list']' returned non-zero exit status 2

Updating my pip with 'sudo easy_install pip' did fix things, but this is a nontrivial fix. Perhaps it should be noted somewhere that the new pybombs installer is not compatible with pip 1.5.4. The 'easy_install pip' on my box brings things up to pip 8.1.1.

________________________________
From: USRP-users <usrp-users-bounces at lists.ettus.com> on behalf of Rob Kossler via USRP-users <usrp-users at lists.ettus.com>
Sent: Monday, March 28, 2016 14:35
To: Martin Braun
Cc: usrp-users at lists.ettus.com
Subject: Re: [USRP-users] PyBOMBS install issue

Nevermind.  A colleague advised me to uninstall pip "sudo apt-get remove --auto-remove python-pip" and reinstall it using "sudo easy_install pip".  This fixed the issue.
Rob


On Mon, Mar 28, 2016 at 5:21 PM, Rob Kossler <rkossler at nd.edu<mailto:rkossler at nd.edu>> wrote:
Thanks Martin,
This worked fine, but my next stumbling block is the following error:

$ pybombs -v install gnuradio
...
PyBombs.PackageManager - DEBUG - Package uhd is requesting a source build.
PyBombs.PackageManager - DEBUG - Checking if package swig is installed.
PyBombs.ReqScanner - DEBUG - Parsing 'swig2.0'
PyBombs.PackageManager - DEBUG - Checking if package python-requests is installed.
PyBombs.ReqScanner - DEBUG - Parsing 'requests'
PyBombs.Packager.pip - DEBUG - Loading pip install cache.
PyBombs.Packager.pip - ERROR - Could not run pip list. Hm.
PyBombs.Packager.pip - ERROR - Command '['pip', 'list']' returned non-zero exit status 2

Rob

On Mon, Mar 28, 2016 at 4:52 PM, Martin Braun via USRP-users <usrp-users at lists.ettus.com<mailto:usrp-users at lists.ettus.com>> wrote:
Rob,

this is an old bug, fixed a while ago. To update PyBOMBS, here's an
excerpt from the manual:

```
If you do want to install the latest version from git, but still use
pip, you
run the following command:

    $ [sudo] pip install [--upgrade]
git+https://github.com/gnuradio/pybombs.git
```

Cheers,
Martin


On 03/28/2016 10:49 AM, Rob Kossler via USRP-users wrote:
> I am getting the following error when attempting to get PyBOMBS
> installed on a new computer in order to install UHD from source.  I have
> not seen this before: "AttributeError: 'Namespace' object has no
> attribute 'deps_only'".  Does anyone know the cause?
>
> Thanks.
> Rob
>
>
>> pybombs recipes add gr-recipes
> git+https://github.com/gnuradio/gr-recipes.git
> |
> \- git
> Traceback (most recent call last):
>   File "/usr/local/bin/pybombs", line 9, in <module>
>     load_entry_point('PyBOMBS==2.0.1', 'console_scripts', 'pybombs')()
>   File "/usr/local/lib/python2.7/dist-packages/pybombs/main.py", line
> 30, in main
>     return dispatch() or 0
>   File
> "/usr/local/lib/python2.7/dist-packages/pybombs/commands/base.py", line
> 134, in dispatch
>     return get_cmd_dict(cmd_list)[args.command](cmd=args.command,
> args=args).run()
>   File
> "/usr/local/lib/python2.7/dist-packages/pybombs/commands/recipes.py",
> line 136, in run
>     }[self.args.recipe_command]()
>   File
> "/usr/local/lib/python2.7/dist-packages/pybombs/commands/recipes.py",
> line 189, in _add_recipes
>     Fetcher().fetch_url(uri, recipe_cache_top_level, alias, {}) # No args
>   File "/usr/local/lib/python2.7/dist-packages/pybombs/fetcher.py", line
> 72, in fetch_url
>     fetcher.assert_requirements()
>   File "/usr/local/lib/python2.7/dist-packages/pybombs/requirer.py",
> line 73, in assert_requirements
>     require_hostsys_dependencies(self.host_sys_deps)
>   File "/usr/local/lib/python2.7/dist-packages/pybombs/requirer.py",
> line 47, in require_hostsys_dependencies
>     Install('install', args).run()
>   File
> "/usr/local/lib/python2.7/dist-packages/pybombs/commands/install.py",
> line 143, in run
>     if self.cmd == 'install' and self.args.deps_only and pkg in
> self.args.packages:
> AttributeError: 'Namespace' object has no attribute 'deps_only'
>
>
>
> _______________________________________________
> USRP-users mailing list
> USRP-users at lists.ettus.com<mailto:USRP-users at lists.ettus.com>
> http://lists.ettus.com/mailman/listinfo/usrp-users_lists.ettus.com
>


_______________________________________________
USRP-users mailing list
USRP-users at lists.ettus.com<mailto:USRP-users at lists.ettus.com>
http://lists.ettus.com/mailman/listinfo/usrp-users_lists.ettus.com


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.ettus.com/pipermail/usrp-users_lists.ettus.com/attachments/20160329/372e1506/attachment-0002.html>


More information about the USRP-users mailing list